jif.ast

## Class JifCall_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Expr_c
      - - polyglot.ast.Call_c
        - - jif.ast.JifCall_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ast.Call, polyglot.ast.CallOps, polyglot.ast.Expr, polyglot.ast.ExprOps, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.ProcedureCall, polyglot.ast.ProcedureCallOps, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.Typed, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifCall_c
      extends polyglot.ast.Call_c

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Call_c

      `arguments, mi, name, target, targetImplicit`

    - ### Fields inherited from class polyglot.ast.Expr_c

      `type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifCall_c(polyglot.util.Position pos, polyglot.ast.Receiver target, polyglot.ast.Id name, java.util.List<polyglot.ast.Expr> args)` Deprecated.
    `JifCall_c(polyglot.util.Position pos, polyglot.ast.Receiver target, polyglot.ast.Id name, java.util.List<polyglot.ast.Expr> args, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.types.Type` | `findContainer(polyglot.types.TypeSystem ts, polyglot.types.MethodInstance mi)` Deprecated.

    - ### Methods inherited from class polyglot.ast.Call_c

      `acceptCFG, arguments, arguments, arguments, buildTypes, childExpectedType, copy, dump, exceptionCheck, extRewrite, extRewriteEnter, findTargetType, firstChild, id, id, id, isTargetImplicit, methodInstance, methodInstance, methodInstance, name, name, precedence, prettyPrint, printArgs, procedureInstance, reconstruct, target, target, target, targetImplicit, targetImplicit, throwTypes, toString, typeCheck, typeCheckNullTarget, visitChildren`

    - ### Methods inherited from class polyglot.ast.Expr_c

      `booleanValue, byteValue, charValue, constantValue, constantValue, constantValueSet, constantValueSet, doubleValue, floatValue, intValue, isConstant, isConstant, isTypeChecked, lastLang, longValue, printSubExpr, printSubExpr, shortValue, stringValue, type, type, type`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypesEnter, checkConstants, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteOverride, isDisambiguated, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Expr

      `constantValue, constantValueSet, isConstant, printSubExpr, printSubExpr, type`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypesEnter, checkConstants, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheckEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, translate, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.ExprOps

      `constantValue, constantValueSet, isConstant`

- - ### Constructor Detail

    - #### JifCall_c

          public JifCall_c(polyglot.util.Position pos,
                           polyglot.ast.Receiver target,
                           polyglot.ast.Id name,
                           java.util.List<polyglot.ast.Expr> args)

      Deprecated.

    - #### JifCall_c

          public JifCall_c(polyglot.util.Position pos,
                           polyglot.ast.Receiver target,
                           polyglot.ast.Id name,
                           java.util.List<polyglot.ast.Expr> args,
                           polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### findContainer

          public polyglot.types.Type findContainer(polyglot.types.TypeSystem ts,
                                                   polyglot.types.MethodInstance mi)

      Deprecated.
      Specified by:
        `findContainer` in interface `polyglot.ast.CallOps`
      Overrides:
        `findContainer` in class `polyglot.ast.Call_c`